Bug 1809147 - homed accounts don't have valid group
Summary: homed accounts don't have valid group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-02 14:03 UTC by Martin Pitt
Modified: 2020-04-01 18:26 UTC (History)
6 users (show)

Fixed In Version: systemd-245.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 18:26:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Pitt 2020-03-02 14:03:06 UTC
Description of problem:
I wanted to give homed a try, now that it is in Fedora 32. User creation and logging in fail due to SELinux, but that can be worked around with `setenforce 0`. Also, logging in fails due to bug 1806949, this needs to be adjusted in PAM.

Afterwards, logging in generally works, but there is no valid group for the user

Version-Release number of selected component (if applicable):

systemd-245~rc1-3.fc32.x86_64

How reproducible: Always


Steps to Reproduce:
1. Disable SELinux (setenforce 0) and adjust PAM config as in bug 1806949
2. Create user:
   sudo homectl create test --real-name="Test User"
3. Check that NSS knows about it:
   id test
   (prints "uid=60444(test) gid=60444 groups=60444" for me)
4. Log in:
   su - test

Actual results:

step 3) group of user test does not have a name
step 4) there is a warning message
/usr/bin/id: cannot find name for group ID 60444

Expected results: There should be a proper default group for created users, with the same name.


Note that specifying explicit group memberships works:

$ sudo homectl create rtest --real-name="Test Admin User" -G wheel
$ id rtest
uid=60471(rtest) gid=60471 groups=60471,10(wheel)

I can log in as rtest and run sudo.

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-03-02 15:02:00 UTC
Yep: https://github.com/systemd/systemd/pull/14990.

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-03-03 13:21:24 UTC
Fixed in rawhide now.

Comment 3 Fedora Update System 2020-03-18 21:18:47 UTC
FEDORA-2020-645de57f2e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-645de57f2e

Comment 4 Fedora Update System 2020-03-19 02:26:35 UTC
systemd-245.2-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-645de57f2e

Comment 5 Fedora Update System 2020-03-23 20:24:59 UTC
FEDORA-2020-645de57f2e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Zbigniew Jędrzejewski-Szmek 2020-04-01 18:26:29 UTC
For some reason, bodhi didn't close this bug.


Note You need to log in before you can comment on or make changes to this bug.